curl --request POST \
--url https://api.partoo.co/v2/feedback/feedback_result/{feedback_result_id}/reply \
--header 'Content-Type: application/json' \
--header 'x-APIKey: <api-key>' \
--data '
{
"content": "Merci ❤️",
"reply_suggestion": {
"reply_suggestion_id": 123,
"reply_suggestion_modified": true
}
}
'import requests
url = "https://api.partoo.co/v2/feedback/feedback_result/{feedback_result_id}/reply"
payload = {
"content": "Merci ❤️",
"reply_suggestion": {
"reply_suggestion_id": 123,
"reply_suggestion_modified": True
}
}
headers = {
"x-APIKey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-APIKey': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: 'Merci ❤️',
reply_suggestion: {reply_suggestion_id: 123, reply_suggestion_modified: true}
})
};
fetch('https://api.partoo.co/v2/feedback/feedback_result/{feedback_result_id}/reply', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"created": "2024-11-15T10:00:15+00:00",
"author_name": "Jane Doe",
"content": "Thank you for your feedback",
"feedback_result_id": 1,
"user_id": "5309c3a237bbc544d8e26737",
"is_reply_suggestion": false
}{
"errors": {
"json": {}
}
}{
"errors": {
"authentication": "User not authenticated"
}
}{
"errors": {
"authorization": "Operation not allowed"
}
}Reply to a feedback result
The Feedback Management API is currently in BETA, therefore the following endpoints are subject to modification, given a 2 week notice.
If you are planning to use any of them, please notify us so we will be able to keep you informed about upcoming changes.
This endpoint lets you reply to a feedback result.
In order to be able to reply to a feedback result:
- The
optinproperty of the corresponding feedback result must be true - The
email_reply_sourceof the corresponding feedback form must be set - The
email_reply_subjectof the corresponding feedback form must be set
Authorizations
The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.
Path Parameters
Body
Response
OK
Unique identifier of the reply
1
Date the reply was created
"2024-11-15T10:00:15+00:00"
Author of the reply
"Jane Doe"
Content of the reply
"Thank you for your feedback"
Identifier of the feedback result
1
User id
"5309c3a237bbc544d8e26737"
Whether the reply was created using an AI suggestion
false
Was this page helpful?